
QGIS Application - Bug report #18282

Style Manager - Impossible to work with non-Latin characters (tag or symbol names)

2018-03-01 10:39 AM - Yaroslav Vasyunin

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: Symbology

Affected QGIS version:3.0.0 Regression?: Yes

Operating System: Windows 10 x64 Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 26173

Description

I open Style Manager and I add a new style, label it with an English name, and apply some English tag to it. Works fine! However:

    1. If either a symbol or a tag has a Cyrillic name (Russian), then nothing happens when I add the tag to the symbol (the tag remains

empty)

    2. If I try to change that symbol name from Russian to English, I get this error: "Save Item - Name is already taken by another item.

Choose a different name." But I'm sure that the new name is unique because I type many random Latin characters.

Associated revisions

Revision b3c31d3a - 2018-06-13 03:46 PM - Alessandro Pasotti 

[bugfix] Fix symbol tags with cyrillic names

... and other non-ascii as well

Fixes #18282 - Style Manager - Impossible to work with non-Latin characters (tag or symbol names)

History

#1 - 2018-03-01 10:41 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Normal to High

- Crashes QGIS or corrupts data changed from Yes to No

Does work fine in 2.18?

#2 - 2018-03-01 10:44 AM - Yaroslav Vasyunin

Giovanni Manghi wrote:

Does work fine in 2.18?

I don't see this behavior in QGIS 2.18 (I have both QGIS versions installed on the same Windows machine) - there you can manage tags (called 'groups')

and label names with Cyrillic chars without problems. Renaming of Russian label names also works fine.

#3 - 2018-03-01 10:45 AM - Giovanni Manghi

- Status changed from Feedback to Open

2025-04-27 1/2



#4 - 2018-06-11 06:16 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#5 - 2018-06-13 11:42 AM - Yaroslav Vasyunin

I reproduce this bug in QGIS version 3.0.3-Girona as well.

#6 - 2018-06-13 01:51 PM - Alessandro Pasotti

I can reproduce this on Linux too: there is a problem when querying the QSLite DB that stores the tags, looking into it.

#7 - 2018-06-13 03:12 PM - Alessandro Pasotti

Ok, found one of the issues but there is another one: SQLITE function LOWER does not work with anything other than ASCII....

this looks harder to fix than I initially thought.

#8 - 2018-06-13 04:01 PM - Alessandro Pasotti

- Status changed from Open to In Progress

- Pull Request or Patch supplied changed from No to Yes

https://github.com/qgis/QGIS/pull/7231

#9 - 2018-06-14 09:48 AM - Anonymous

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|b3c31d3affc9f4d558f5ad0ff41e25c06bc7fb8d.

#10 - 2018-06-14 09:49 AM - Alessandro Pasotti

- Resolution set to fixed/implemented
